Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyAnnotationRef

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `description()` The string representation of the annotation reference.
    `` | `String` | `name()` Name of the annotation being referenced.
    `` | `GroovyClassDoc` | `type()` The annotation being referenced.

- - ### Method Detail

    - #### public String description()

      The string representation of the annotation reference. Initially implemented as a temporary hack stored from the source. To be replaced with strong-typed finer grained information.

      Returns:
        the text representation of the annotation ref

    - #### public String name()

      Name of the annotation being referenced. Once resolved, equates to `type().typeName()`.

      Returns:
        the name of the annotation reference

    - #### public GroovyClassDoc type()

      The annotation being referenced.

      Returns:
        the annotation being referenced